Package Details: msbuild-stable 15.8_xamarinxplat.2018.07.31.22.43_0xamarin5_ubuntu1404b1-3

Git Clone URL: https://aur.archlinux.org/msbuild-stable.git (read-only)
Package Base: msbuild-stable
Description: Xamarin implementation of the Microsoft build system
Upstream URL: https://github.com/mono/msbuild
Keywords: msbuild
Licenses: MIT
Conflicts: msbuild
Provides: msbuild
Submitter: EagleXiang
Maintainer: jtmb
Last Packager: jtmb
Votes: 33
Popularity: 5.737951
First Submitted: 2017-11-16 09:33
Last Updated: 2018-09-07 04:41

Latest Comments

jtmb commented on 2018-03-08 05:57

@globalenemy I have built the package with mono in Arch repos as well as with mono-alpha and mono-beta with no errors. I would recommend reinstalling your mono and trying again.

globalenemy commented on 2018-03-06 22:26

it conflicts with several msbuild files wich are located in mono. "usr/lib/mono/msbuild/15.0/bin/Roslyn/[..].dll"

jtmb commented on 2018-03-06 16:25

@globalenemy, what conflict are you getting exactly?

The package requires a mono above version 5, I personally use mono-alpha but it looks like mono-beta should work as well.

globalenemy commented on 2018-03-06 11:21

cant install package due to conflict with "mono" but "mono" is a dependency :\

jtmb commented on 2018-01-21 00:59

Please update to the latest version of 15.4 so I don't have to make another AUR package for my dependency packages.

edit: I have taken over and updated it.

poikilos commented on 2017-12-08 02:37

may need to update dependency to a later version of mono--the official arch mono version is 5.0.0.100-2, but mono-stable is mono-stable 5.4.1.6-1

EagleXiang commented on 2017-11-18 06:48

I met "/usr/lib/mono/msbuild/15.0/bin/Roslyn/Microsoft.CSharp.Core.targets" too, and fixed it by installing newest mono from github source.

tleydxdy commented on 2017-11-17 16:12

error MSB4019: The imported project "/usr/lib/mono/msbuild/15.0/bin/Roslyn/Microsoft.CSharp.Core.targets" was not found.